<?php
$site_name      					= get_bloginfo('name');
/* $logo_id        					= get_theme_mod('custom_logo');
$logo           					= wp_get_attachment_image_src($logo_id, 'full'); */
$logo 								= get_template_directory_uri() . '/images/logos/logo_footer_education.svg';
$footer								= get_page_by_path('footer');
$contacto_internacional				= get_field('contacto_internacional', $footer);
$contacto_internacional_adicional	= get_field('texto_adicional_internacional', $footer);
$contacto_nacional					= get_field('contacto_nacional', $footer);
$contacto_nacional_adicional		= get_field('texto_adicional_nacional', $footer);
$copyright							= get_field('copyright', $footer);
$prefooter							= get_field('pre_footer', $footer);
?>
<section class="pre-footer">
	<div class="prefooter-fondo">
		<div class="prefooter-grid">
			<div class="prefooter-content">
				<h2><?php echo esc_html($prefooter['titulo']) ?></h2>
				<?php echo $prefooter['texto'] ?>
				<?php if ($prefooter['boton']) { ?>
					<div class="btnContactUs">
						<a href="javascript:void(0);" onclick="showModalHojaVida(this);" data-originoption="" class="btn btn-primary cta px-5">Me interesa</a>
					</div>
				<?php } ?>
			</div>
			<img src="<?php echo esc_url($prefooter['imagen']['url']) ?>" alt="<?php echo esc_attr($prefooter['imagen']['alt'] . ' ' . $site_name) ?>" title="<?php echo esc_attr($prefooter['imagen']['title']) ?>">
		</div>
	</div>
</section>

<footer class="footer">
	<div class="col-md-3 footerLogo">
		<a href="<?php echo esc_url(site_url('/')); ?>">
			<img class="img-fluid" src="<?php echo esc_url($logo) ?>" alt="Logo <?php echo esc_attr($site_name); ?>" width="208" height="32" />
		</a>
	</div>
	<div class="col-md-9">
		<div class="footerContact">
			<div class="boxes">
				<?php if ($contacto_internacional) { ?>
					<div class="contactBoxes">
						<?php foreach ($contacto_internacional as $key => $contacto) { ?>
							<div class="contact">
								<div class="contactText"><?php echo esc_html($contacto['texto']) ?></div>
								<div class="contactPhone">
									<a href="tel:<?php echo $contacto['numero'] ?>" class="contactNumber">
										<img src="<?php echo get_template_directory_uri() ?>/images/icoTelefono.svg" alt="<?php echo "Contacto " . $contacto['texto'] . ' ' . $site_name ?>" title="<?php echo "Contacto " . $contacto['texto'] ?>">
										<?php echo $contacto['numero'] ?>
									</a>
								</div>
								<?php if ($contacto['direccion']) { ?>
									<div>
										<a href="<?php echo esc_attr($contacto['direccion']['url']) ?>" class="contactAddress" target="<?php echo esc_attr($contacto['direccion']['target']) ?>">
											<img src="<?php echo get_template_directory_uri() ?>/images/icons/iconUbicacionGold.svg" alt="<?php echo "Dirección " . $contacto['texto'] . ' ' . $site_name ?>" title="<?php echo "Dirección " . $contacto['texto'] ?>">
											<?php echo esc_html($contacto['direccion']['title']) ?>
										</a>
									</div>
								<?php } ?>
							</div>
						<?php } ?>
					</div>
				<?php } ?>
				<?php if ($contacto_nacional) { ?>
					<div class="contactBoxes">
						<?php foreach ($contacto_nacional as $key => $contacto) { ?>
							<div class="contact">
								<div class="contactText"><?php echo esc_html($contacto['texto']) ?></div>
								<div class="contactPhone">
									<a href="tel:<?php echo $contacto['numero'] ?>" class="contactNumber">
										<img src="<?php echo get_template_directory_uri() ?>/images/icoTelefono.svg" alt="<?php echo "Contacto " . $site_name ?>" title="<?php echo "Contacto en " . $site_name ?>">
										<?php echo $contacto['numero'] ?>
									</a>
								</div>
								<?php if ($contacto['direccion']) { ?>
									<div>
										<a href="<?php echo esc_attr($contacto['direccion']['url']) ?>" class="contactAddress" target="<?php echo esc_attr($contacto['direccion']['target']) ?>">
											<img src="<?php echo get_template_directory_uri() ?>/images/icons/iconUbicacionGold.svg" alt="<?php echo "Dirección " . $contacto['texto'] . ' ' . $site_name ?>" title="<?php echo "Dirección " . $contacto['texto'] ?>">
											<?php echo esc_html($contacto['direccion']['title']) ?>
										</a>
									</div>
								<?php } ?>
							</div>
						<?php } ?>
						<?php if ($contacto_nacional_adicional) { ?>
							<div class="additionalContact">
								<?php echo $contacto_nacional_adicional; ?>
							</div>
						<?php } ?>
					</div>
				<?php } ?>
			</div>
			<div class="footerCopyright">
				<div class="contactBoxes">
					<?php echo $copyright['primera_columna'] ?>
				</div>
				<div class="contactBoxes">
					<?php echo $copyright['segunda_columna'] ?>
				</div>
			</div>
		</div>
	</div>
</footer>

<?php
$page_contacto			= get_page_by_path('contactanos');
$sec_footer_contacto 	= get_field('seccion_footer_contactanos', $page_contacto);
$shortcode_formulario	= ($sec_footer_contacto) ? $sec_footer_contacto['shortcode_formulario'] : null;
$titulo_formulario		= ($sec_footer_contacto) ? $sec_footer_contacto['titulo_formulario'] : null;
$texto_formulario		= ($sec_footer_contacto) ? $sec_footer_contacto['texto_formulario'] : null;
?>
<div class="modal fade mdCotizar" id="exampleModal" tabindex="-1" aria-hidden="true">
	<div class="modal-dialog modal-dialog-centered" style="max-width: 796px;">
		<div class="modal-content">
			<div class="modal-header">
				<button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
			</div>
			<div class="modal-body linea-azul-amarilla">
				<h5 class="modal-title" id="¿Cómo podemos ayudarte?"><?php echo esc_html($titulo_formulario) ?></h5>
				<?php echo $texto_formulario ?>
				<?php if ($shortcode_formulario) { ?>
					<?php echo do_shortcode($shortcode_formulario) ?>
				<?php } ?>
				<button type="button" class="btn-close-bottom" data-bs-dismiss="modal" aria-label="Close">Volver</button>
			</div>
		</div>
	</div>
</div>

<?php
$homepage_id				= get_page_by_path('inicio');
$plan_educacion_garantizada	= get_field('plan_edu_super_garan', $homepage_id);
$contenido_modal 			= $plan_educacion_garantizada['modal_matricula'];
?>
<!-- Modal Info Matricula -->
<div class="modal fade modalMatricula" id="modalMatricula" tabindex="-1" aria-hidden="true">
	<div class="modal-dialog modal-lg modal-dialog-centered">
		<div class="modal-content">
			<button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
			<div class="modal-body linea-azul-amarilla">
				<?php echo $contenido_modal ?>
				<button type="button" class="btn-close-bottom" data-bs-dismiss="modal" aria-label="Close">Volver</button>
			</div>
		</div>
	</div>
</div>

<?php
$modal_hv					= get_field('formulario_hoja_de_vida', $page_contacto);
$show_modal 				= $modal_hv['habilitar_modal_hoja_de_vida'];
$shortcode_formulario_hv	= $modal_hv['shortcode_formulario'];
$titulo_modal_hv			= $modal_hv['titulo'];
$texto_modal_hv				= $modal_hv['texto'];
?>
<?php if ($show_modal && is_front_page()) { ?>
	<div class="modal fade mdCotizar" id="hojaVidaModal" tabindex="-1" aria-hidden="true">
		<div class="modal-dialog modal-dialog-centered" style="max-width: 796px;">
			<div class="modal-content">
				<div class="modal-header">
					<button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
				</div>
				<div class="modal-body linea-azul-amarilla">
					<h5 class="modal-title" id="¿Cómo podemos ayudarte?"><?php echo esc_html($titulo_modal_hv) ?></h5>
					<?php echo $texto_modal_hv ?>
					<?php if ($shortcode_formulario) { ?>
						<?php echo do_shortcode($shortcode_formulario_hv) ?>
					<?php } ?>
					<button type="button" class="btn-close-bottom" data-bs-dismiss="modal" aria-label="Close">Volver</button>
				</div>
			</div>
		</div>
	</div>
<?php } ?>

<?php wp_footer(); ?>

<script type="text/javascript">
	var ajaxurl = "<?php echo admin_url('admin-ajax.php'); ?>";
	var urlsite = "<?php echo home_url(); ?>";
</script>

</body>

</html>