<?php

// Incluir archivos necesarios
$incPath = get_template_directory() . '/inc/';
require_once($incPath . 'theme-setup.php');

//Agrega los estilos css y archivos js del tema

function add_theme_scripts()
{

  //Styles
  wp_enqueue_style('owl_theme_default_carousel', get_template_directory_uri() . '/css/owl.theme.default.min.css');
  wp_enqueue_style('owl_carousel', get_template_directory_uri() . '/css/owl.carousel.css');
  // wp_enqueue_style('bootstrap', get_template_directory_uri() . '/css/bootstrap.css');
  wp_enqueue_style('bootstrap_min', get_template_directory_uri() . '/css/bootstrap.min.css');
  wp_enqueue_style('normalize', get_template_directory_uri() . '/css/normalize.css');
  wp_enqueue_style('style', get_stylesheet_uri() . '?v=' . rand());


  //Scripts
  wp_enqueue_script('jquery_min_js', get_template_directory_uri() . '/js/jquery.min.js', array(), '1.0.0', true);
  wp_enqueue_script('jvmpro_js', get_template_directory_uri() . '/js/jvmpro.js', array(), '1.0.0', true);
  wp_enqueue_script('popper_min_js', get_template_directory_uri() . '/js/popper.min.js', array(), '1.0.0', true);
  wp_enqueue_script('bootstrap_js', get_template_directory_uri() . '/js/bootstrap.js', array(), '1.0.0', true);
  wp_enqueue_script('bootstrap_min_js', get_template_directory_uri() . '/js/bootstrap.min.js', array(), '1.0.0', true);
  wp_enqueue_script('bootstrap_bundle_js', get_template_directory_uri() . '/js/bootstrap.bundle.js', array(), '1.0.0', true);
  wp_enqueue_script('owl_carousel_js', get_template_directory_uri() . '/js/owl.carousel.js', array(), '1.0.0', true);
  wp_enqueue_script('function_js', get_template_directory_uri() . '/js/function.js?v=' . rand(), array(), '1.0.0', true);
}

add_action('wp_enqueue_scripts', 'add_theme_scripts');

/* */
add_action('wp_ajax_nopriv_ajax_send_cotizacion', 'ajax_send_cotizacion');

function ajax_send_cotizacion()
{
  global $wpdb;
  $data = $_POST;

  $message = '';
  $status = false;

  $table = $wpdb->prefix . 'quotations';
  $data_request = array(
    'name_complete' => $data['name_complete'],
    'email' => $data['email'],
    'telephone' => $data['telephone'],
    'cell_phone' => $data['cell_phone'],
    'country' => $data['country'],
    'city' => $data['city'],
    'interest' => $data['interest']
  );

  $wpdb->insert($table, $data_request, null);

  if (isset($wpdb->insert_id)) {
    $status = true;
    $message = 'Se ha registrado la cotización correctamente, el sistema actualizara la página en 5s.';

    //Config Mail
    $configMail = array();
    $configMail['data'] = $data;

    //Mail User Experiencia con ficha tecnica
    wp_mail($data['email'], "Detalle de su cotización", mailRegisterCotizacion($configMail));
    wp_mail('mauricio@legger.co', "Se ha registrado una cotización nueva", mailRegisterCotizacion($configMail));
  } else {
    $message = 'Lo sentimos sucedio algo inesperado, intenta de nuevo mas tarde.';
  }

  $request_ = array(
    'status' => $status,
    'message' => $message
  );

  echo json_encode($request_);

  wp_die();
}

function mailRegisterCotizacion($config)
{
  return '<center>
            <table style="width: 800px; background-color: #ffffff;" border="0">
              <tbody>
                <tr>
                  <td style="width: 100%; position: relative; height: 100px; background: #fff; box-shadow: 0px 4px 20px rgb(0 0 0 / 25%);">
                    <img src="https://desarrollo.allxposible.com/globaleducation-v2/wp-content/themes/theme-global-educacion/images/banner/bannerHomeGlobalSeguros.jpg" style="width: 800px; position: relative; margin: auto; display: block;" alt="Global Education" />
                  </td>
                </tr>
                <tr style="width: 650px; margin: auto; display: block;">
                  <td>
                    <h1 style="font-family: HelveticaNeue-CondensedBold, Arial, sans-serif; color: #888; font-size: 25px; text-align: left; font-weight: 700; margin-top: 25px;margin-bottom: 0;">
                      Estos fueron los datos que registraste en la cotización
                    </h1>
                  </td>
                </tr>

                <tr style="colo:#888;width: 650px; margin: auto; display: block; font-family: HelveticaNeue-CondensedBold, Arial, sans-serif; margin-top: 15px;">
                  <td>
                    <ul>
                      <li><strong>Nombre completo:</strong> ' . $config['data']['name_complete'] . '</li>
                      <li><strong>Email:</strong> ' . $config['data']['email'] . '</li>
                      <li><strong>Celular:</strong> ' . $config['data']['telephone'] . '</li>
                      <li><strong>Telefono fijo:</strong> ' . $config['data']['cell_phone'] . '</li>
                      <li><strong>Pais:</strong> ' . $config['data']['country'] . '</li>
                      <li><strong>Ciudad:</strong> ' . $config['data']['city'] . '</li>
                      <li><strong>Interes:</strong> ' . $config['data']['interest'] . '</li>
                    </ul>
                  </td>
                </tr>

                <tr>
                  <td style="height: 50px; background-color: #ffffff; display: flex; flex-direction: row; justify-content: space-between; align-items: center; padding: 0 1.875rem;"></td>
                </tr>
              </tbody>
            </table>
          </center>';
}
/* */



function globaleducacion_setup()
{
  //Soporte imagenes destacadas
  if (function_exists('add_theme_support')) {
    add_theme_support('post-thumbnails');
    add_theme_support('custom-logo'); // Soporte para logo
  }
  add_theme_support('title-tag');
}

add_action('after_setup_theme', 'globaleducacion_setup');



//Deshabilitar el editor Gutenberg 
add_filter('use_block_editor_for_post', '__return_false', 10);


function prepararResponse($body)
{
  foreach ($body as $k => $v) {
    $body[$k] = trim(preg_replace('/[^A-Za-z0-9-\+\* áéíóúÁÉÍÓÚñÑ_\@\.]+/', '-', $v));
  }
  return $body;
}

add_filter('wpcf7_autop_or_not', '__return_false');
add_filter('wpcf7_form_elements', function ($content) {
  $content = preg_replace('/<(span).*?class="\s*(?:.*\s)?wpcf7-form-control-wrap(?:\s[^"]+)?\s*"[^\>]*>(.*)<\/\1>/i', '\2', $content);
  return $content;
});

function agregar_aria_label_al_formulario_al_cargar()
{
?>
  <script type="text/javascript">
    document.addEventListener('DOMContentLoaded', function() {
      let inputs = document.querySelectorAll('.wpcf7 input[type="text"], .wpcf7 input[type="email"], .wpcf7 textarea');
      inputs.forEach(el => {
        let placeholder = el.getAttribute('placeholder')
        el.setAttribute('aria-label', placeholder)
      })
      let selects = document.querySelectorAll('.wpcf7 select');
      selects.forEach(sl => {
        let name = sl.getAttribute('name')
        sl.setAttribute('aria-label', name)
      })
    });
  </script>
<?php
}

add_action('wp_footer', 'agregar_aria_label_al_formulario_al_cargar');
