<!DOCTYPE html>
<html <?php language_attributes(); ?>>

<head>
	<meta charset="<?php bloginfo('charset'); ?>" />
	<meta http-equiv="X-UA-Compatible" content="ie=edge" />
	<meta name="viewport" content="width=device-width, initial-scale=1.0" />
	<link rel="icon" href="<?php echo get_theme_file_uri('favicon.png'); ?>" />
	<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>

	<?php
	$sitename = get_bloginfo('name');
	$slugPage = basename(get_permalink());
	$logo_id  = get_theme_mod('custom_logo');
	$logo     = wp_get_attachment_image_src($logo_id, 'full');
	$page_contacto  = get_page_by_path('contactanos');
	$redes_sociales = get_field('redes_sociales', $page_contacto);
	?>

	<!-- Inicio Header -->
	<div class="headerGlobalSeguros">
		<div class="logoGlobalSeguros">
			<a href="<?php echo esc_url(site_url('/')); ?>">
				<img class="img-fluid" src="<?php echo esc_url($logo[0]) ?>" alt="Logo <?php echo esc_attr($site_name); ?>" width="<?php echo esc_attr($logo[1]) ?>" height="<?php echo esc_attr($logo[2]) ?>" />
			</a>
		</div>
		<!-- <div class="menuGlobalSeguros visibleDesktop">
			<nav class="nav">
				<a class="nav-link <?php echo ($slugPage == '/' || $slugPage == 'globaleducation-v2' || is_front_page()) ? 'active' : ''; ?>" aria-current="page" href="<?php echo esc_url(home_url('/')); ?>">Inicio</a>
				<a class="nav-link <?php echo ($slugPage == 'soluciones') ? 'active' : ''; ?> nav-soluciones" href="<?php echo esc_url(home_url('/soluciones')); ?>">Soluciones</a>
				<a class="nav-link <?php echo ($slugPage == 'empresa') ? 'active' : ''; ?>" href="<?php echo esc_url(home_url('/empresa')); ?>">Nuestra compañía</a>
				<a class="nav-link <?php echo ($slugPage == 'contactanos') ? 'active' : ''; ?>" href="<?php echo esc_url(home_url('/contactanos')); ?>">Contáctanos</a>
				<a class="nav-link" href="#trabajaConNosotros">Trabaja con nosotros</a>
				<div class="floatBar">
					<div class="floatBarItem left">
						<a href="/globalpregrado">
							<span>
								Soluciones <strong>Pregrado</strong>
							</span>
						</a>
					</div>
					<div class="floatBarItem right">
						<a href="/globalposgrado">
							<span>
								Soluciones <strong>Posgrado</strong>
							</span>
						</a>
					</div>
				</div>
			</nav>
		</div> -->
		<div class="menuGlobalSeguros visibleDesktop">
			<?php get_template_part('template-parts/page/content', 'header') ?>
		</div>

		<div class="menuGlobalSeguros visibleMobile">
			<div class="hamburger">
				<div class="_layer -top"></div>
				<div class="_layer -mid"></div>
				<div class="_layer -bottom"></div>
			</div>
		</div>
		<nav class="menuppal visibleMobile">
			<ul>
				<?php
				$active_homepage 	= (is_front_page()) ? 'active' : '';
				$active_soluciones 	= (is_page('soluciones')) ? 'active' : '';
				$active_empresa 	= (is_page('empresa')) ? 'active' : '';
				$active_contactanos = (is_page('contactanos')) ? 'active' : '';
				?>
				<li><a class="<?php echo esc_attr($active_homepage) ?>" href="<?php echo esc_url(home_url('/')); ?>">Inicio</a></li>
				<li><a class="<?php echo esc_attr($active_soluciones) ?>" href="<?php echo esc_url(home_url('/soluciones')); ?>">Soluciones</a></li>
				<li><a class="<?php echo esc_attr($active_empresa) ?>" href="<?php echo esc_url(home_url('/empresa')); ?>">Nuestra compañía</a></li>
				<li><a class="<?php echo esc_attr($active_contactanos) ?>" href="<?php echo esc_url(home_url('/contactanos')); ?>">Contáctanos</a></li>
				<li><a class="" href="#trabajaConNosotros">Trabaja con nostros</a></li>
				<?php if ($redes_sociales) {
					$whatsapp = $urlWhatsapp = $targetWhatsapp = '';
				?>
					<li>Síguenos</li>
					<li>
						<div class="redesSociales">
							<?php foreach ($redes_sociales as $key => $red) {
								$is_whatsapp = false;
								if (strpos(strtolower($red['enlace_red_social']['title']), 'whatsapp') !== false) {
									$whatsapp = 'Contáctate por WhatsApp';
									$urlWhatsapp = $red['enlace_red_social']['url'];
									$targetWhatsapp = $red['enlace_red_social']['target'];
									$is_whatsapp = true;
								}
							?>
								<?php if (!$is_whatsapp) { ?>
									<a href="<?php echo esc_url($red['enlace_red_social']['url']) ?>" target="<?php echo esc_attr($red['enlace_red_social']['target']) ?>">
										<img src="<?php echo esc_url($red['icono_red_social']['sizes']['thumbnail']) ?>" alt="<?php echo esc_attr($red['enlace_red_social']['title'] . ' ' . $sitename) ?>" title="<?php echo esc_attr($red['enlace_red_social']['title']) ?>" width="20" height="20" />
									</a>
								<?php } ?>
							<?php } ?>
						</div>
					</li>
					<?php if ($whatsapp) { ?>
						<li>
							<a href="<?php echo esc_url($urlWhatsapp) ?>" target="<?php echo esc_attr($targetWhatsapp) ?>"><?php echo esc_html($whatsapp) ?></a>
						</li>
					<?php } ?>
				<?php } ?>
			</ul>
			<div class="footMenu">
				<div class="footMenuLine"></div>
			</div>
		</nav>
		<!-- <div class="CallGlobalSeguros">
        <div class="dropdown">
          <button class="btn btn-primary dropdown-toggle btnCall" type="button" data-bs-toggle="dropdown" aria-expanded="false">
              Llámanos
          </button>
          <div class="dropdown-menu">
            <div class="row">
              <?php $infoContacDropdown = get_field("informacion_de_contactos", 21); ?>
              <?php foreach ($infoContacDropdown as $itemContacDropdown) : ?>
                <?php
					$numberConverIt = str_replace("(", "", $itemContacDropdown['numero_celular']);
					$numberConverIt = str_replace(")", "", $numberConverIt);
					$numberConverIt = str_replace(" ", "", $numberConverIt);
				?>
                <div class="col-6 col-md-6">
                  <span class="ciudad"><?php echo $itemContacDropdown['titulo']; ?></span>
                  <div class="phone">
                    <img src="<?php echo get_theme_file_uri('images/icoCall.svg'); ?>" alt="Global Education">
                    <a href="tel:<?php echo $numberConverIt; ?>" target="_blank"><?php echo $itemContacDropdown['numero_celular']; ?></a>
                  </div>
                </div>
              <?php endforeach; ?>
            </div>
          </div>
        </div>
      </div> -->
		<?php if ($redes_sociales) { ?>
			<div class="redesSociales visibleDesktop">
				<?php foreach ($redes_sociales as $key => $red) { ?>
					<a href="<?php echo esc_url($red['enlace_red_social']['url']) ?>" target="<?php echo esc_attr($red['enlace_red_social']['target']) ?>">
						<img src="<?php echo esc_url($red['icono_red_social']['sizes']['thumbnail']) ?>" alt="<?php echo esc_attr($red['enlace_red_social']['title'] . ' ' . $sitename) ?>" title="<?php echo esc_attr($red['enlace_red_social']['title']) ?>" width="20" height="20" />
					</a>
				<?php } ?>
			</div>
		<?php } ?>
	</div>
	<!-- Fin Header -->