<?php
$sitename					= get_bloginfo('name');
$slider_principal         	= get_field("slider_principal");
$titulo_nuestra_historia	= get_field('titulo_nuestra_historia');
$nuestra_historia         	= get_field("nuestra_historia");
$titulo_aliados				= get_field('titulo_aliados_respaldo');
$aliados_de_respaldo      	= get_field("aliados_de_respaldo");
$titulo_companias_aliadas	= get_field('titulo_companias_aliadas');
$companias_aliadas      	= get_field("companias_aliadas");
$titulo_nuestras_oficinas	= get_field('titulo_nuestras_oficinas');
$nuestras_oficinas			= get_field('nuestras_oficinas');
?>

<!-- BANNER PAGINA -->
<div class="bannerGlobalInternas">
	<div class="bannerTextInfo">
		<div class="boxOne bgYellow">
			<h1 class="colorBlue"><?php echo $slider_principal['titulo']; ?></h1>
		</div>
		<div class="boxTwo bgBlueTwo">
			<p class="colorYellow"><?php echo $slider_principal['subtitulo']; ?></p>
		</div>
	</div>
	<div class="bannerImg gradientImage">
		<img src="<?php echo $slider_principal['imagen']; ?>" class="img-fluid w-100" alt="<?php echo $slider_principal['titulo']; ?>" />
	</div>
</div>
<section></section>
<!-- FIN BANNER PAGINA -->
<!-- CONTENIDO PAGINA -->

<section class="container">
	<div class="separadorProSix visibleDesktop"></div>
	<div class="separadorProFour visibleMobile"></div>
	<h2><?php echo esc_html($titulo_nuestra_historia) ?></h2>
	<div class="separadorProFour"></div>
	<?php if ($nuestra_historia) : ?>
		<div class="cardsHistory">
			<div class="owl-carousel carouselHistory owl-theme">
				<?php $icounter = 1; ?>
				<?php foreach ($nuestra_historia as $itemNuestraHis) : ?>
					<div class="item">
						<?php
						$classTextBg = '';

						if ($icounter % 2 == 1) {
							$classTextBg = 'bgLightBlueTwo';
						} else {
							$classTextBg = 'bgLightBlueThree';
						}

						?>
						<div class="boxHistory  <?php echo $classTextBg; ?>">
							<img src="<?php echo get_theme_file_uri('images/lineGlobalThree.svg'); ?>" class="lineGlobalThree" alt="Global Education">
							<span class="textYear"><?php echo $itemNuestraHis['anio']; ?></span>
							<?php echo $itemNuestraHis['descripcion']; ?>
						</div>
					</div>
					<?php $icounter++; ?>
				<?php endforeach; ?>
			</div>
		</div>
	<?php endif; ?>
	<div class="separadorProSix visibleDesktop"></div>
	<div class="separadorProFour visibleMobile"></div>

	<?php if ($aliados_de_respaldo) : ?>
		<h2><?php echo esc_html($titulo_aliados) ?></h2>
		<div class="separadorProFour"></div>
		<div class="alliesBackup">
			<div class="owl-carousel carouselAllies owl-theme">
				<?php foreach ($aliados_de_respaldo as $key => $aliaRespalItem) : ?>
					<a href="#" data-bs-toggle="modal" data-bs-target="#aliado<?php echo esc_attr($key) ?>">
						<div class="item">
							<div class="backupAllies">
								<div class="allies">
									<img src="<?php echo $aliaRespalItem['imagen']; ?>" alt="<?php echo $aliaRespalItem['descripcion']; ?>">
								</div>
								<p><?php echo $aliaRespalItem['descripcion']; ?></p>
							</div>
						</div>
					</a>
				<?php endforeach; ?>
			</div>
		</div>
	<?php endif; ?>
	<div class="separadorProSix visibleDesktop"></div>
	<div class="separadorProFour visibleMobile"></div>
</section>
<?php if ($companias_aliadas) : ?>
	<div class="bgLightBlue">
		<section class="container">
			<h2><?php echo esc_html($titulo_companias_aliadas) ?></h2>
			<div class="separadorProFour"></div>
			<div class="row">
				<?php foreach ($companias_aliadas as $companiasAliadasItem) : ?>
					<div class="col-md-4">
						<a target="_blank" href="<?php echo $companiasAliadasItem['link']; ?>" class="boxAlliedCompanyAnchor">
							<div class="boxAlliedCompanies">
								<img src="<?php echo $companiasAliadasItem['imagen']; ?>" alt="<?php echo $companiasAliadasItem['titulo']; ?>">
								<h3><?php echo $companiasAliadasItem['titulo']; ?></h3>
								<p><?php echo $companiasAliadasItem['descripcion']; ?></p>
								<span>Conoce más</span>
							</div>
						</a>
					</div>
				<?php endforeach; ?>
			</div>
		</section>
	</div>
<?php endif; ?>

<?php if ($nuestras_oficinas) : ?>
	<div class="separadorProSix visibleDesktop"></div>
	<div class="separadorProFour visibleMobile"></div>
	<div>
		<section class="container">
			<h2><?php echo esc_html($titulo_nuestras_oficinas) ?></h2>
			<div class="separadorProFour"></div>
			<div class="row">
				<?php foreach ($nuestras_oficinas as $oficina) : ?>
					<div class="col-md-4">
						<!-- <a target="_blank" href="<?php echo $companiasAliadasItem['link']; ?>" class="boxAlliedCompanyAnchor"> -->
							<div class="boxOffice">
								<img src="<?php echo $oficina['imagen']['sizes']['large']; ?>" class="img-fluid" alt="<?php echo $oficina['titulo'] . ' ' . $sitename; ?>">
								<div class="content">
									<h3><?php echo $oficina['nombre']; ?></h3>
									<?php if ($oficina['direccion']) { ?>
										<a href="<?php echo esc_url($oficina['direccion']['url']) ?>" target="<?php echo esc_attr($oficina['direccion']['target']) ?>"><img src="<?php echo get_template_directory_uri() ?>/images/icons/iconUbicacion.svg" alt="Dirección oficina <?php echo $oficina['nombre'] . ' ' . $sitename ?>"> <?php echo $oficina['direccion']['title']; ?></a>
									<?php } ?>
									<?php if ($oficina['telefono']) { ?>
										<a href="tel:<?php echo esc_attr(rtrim($oficina['telefono'])) ?>"><img src="<?php echo get_template_directory_uri() ?>/images/icons/iconTelefono.svg" alt="Teléfono oficina <?php echo $oficina['nombre'] . ' ' . $sitename ?>"><?php echo $oficina['telefono']; ?></a>
									<?php } ?>
								</div>
							</div>
						<!-- </a> -->
					</div>
				<?php endforeach; ?>
			</div>
		</section>
	</div>
	<div class="separadorProSix visibleDesktop"></div>
	<div class="separadorProFour visibleMobile"></div>
<?php endif; ?>

<?php
$page_contacto = get_page_by_path('contactanos');
$secFooterContacto = get_field('seccion_footer_contactanos', $page_contacto);
?>
<div class="bgLightBlue">
	<section class="container">
		<h2><?php echo esc_html($secFooterContacto['titulo_seccion']) ?></h2>
		<div class="separadorProFour"></div>
		<div class="row">
			<div class="col-md-8">
				<div class="boxContactUs">
					<div class="textInfo">
						<h3><?php echo $secFooterContacto['titulo']; ?></h3>
						<p><?php echo $secFooterContacto['descripcion']; ?></p>
						<?php if ($secFooterContacto['link']) { ?>
							<div class="btnContactUs">
								<a href="javascript:void(0);" onclick="showModalCotizacion(this);" data-originoption="" class="btn btn-primary cta"><?php echo esc_html($secFooterContacto['link']['title']) ?></a>
							</div>
						<?php } ?>
					</div>
					<div class="image">
						<img src="<?php echo $secFooterContacto['imagen_banner']; ?>" class="img-fluid w-100" alt="<?php echo $secFooterContacto['titulo'] . ' ' . $sitename; ?>" />
					</div>
				</div>
			</div>
			<div class="col-md-4">
				<div class="attentionlinesWhatsAppFlx">
					<!-- <a href="<?php echo $secFooterContacto['link_nuestras_lineas_de_atencion']['url']; ?>" target="<?php echo $secFooterContacto['link_nuestras_lineas_de_atencion']['target'] ?>"> -->
					<div class="boxAttentionWhatsApp">
						<img src="<?php echo get_theme_file_uri('images/lineGlobalFour.svg'); ?>" class="line" alt="<?php echo $secFooterContacto['titulo'] . ' ' . $sitename; ?>" />
						<img src="<?php echo $secFooterContacto['icono_nuestras_lineas_de_atencion']; ?>" class="ico" alt="<?php echo esc_attr($secFooterContacto['texto_nuestras_lineas_de_atencion'] . ' ' . $sitename) ?>" />
						<div class="boxText">
							<h4><?php echo $secFooterContacto['texto_nuestras_lineas_de_atencion'] ?></h4>
							<div class="textLink">
								<a href="<?php echo $secFooterContacto['link_nuestras_lineas_de_atencion']['url']; ?>" target="<?php echo esc_attr($secFooterContacto['link_nuestras_lineas_de_atencion']['target']); ?>"><?php echo $secFooterContacto['link_nuestras_lineas_de_atencion']['title']; ?><img src="<?php echo esc_url(get_template_directory_uri()) ?>/images/arrowCard.svg" alt="<?php echo $secFooterContacto['link_nuestras_lineas_de_atencion']['title'] . ' ' . $sitename; ?>"></a>
							</div>
						</div>
					</div>
					<!-- </a> -->
				</div>
			</div>
		</div>
		<div class="separadorProFour visibleMobile"></div>
	</section>
</div>
<!-- FIN CONTENIDO PAGINA -->

<!-- MODALES -->
<?php if ($aliados_de_respaldo) { ?>
	<?php foreach ($aliados_de_respaldo as $key => $aliado) { ?>
		<div class="modal fade mdCotizar" id="aliado<?php echo esc_attr($key) ?>" tabindex="-1" aria-labelledby="aliado<?php echo esc_attr($key) ?>Label" aria-hidden="true">
			<div class="modal-dialog modal-lg modal-dialog-centered modal-dialog-scrollable">
				<div class="modal-content">
					<div class="modal-header">
						<button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
					</div>
					<div class="modal-body linea-azul-amarilla">
						<div class="alliedBox">
							<div class="alliedImage">
								<img class="img-fluid" src="<?php echo $aliado['imagen']; ?>" alt="<?php echo $aliado['descripcion'] . ' ' . $sitename; ?>" title="<?php echo $aliado['descripcion']; ?>" />
							</div>
							<div class="alliedContent">
								<h3><?php echo $aliado['descripcion']; ?></h3>
								<div class="content">
									<?php echo $aliado['contenido']; ?>
								</div>
								<div class="separadorProTwo"></div>
								<div class="buttons">
									<button type="button" class="btn btn-primary ctaOne" data-bs-dismiss="modal">Volver</button>
									<?php if ($aliado['enlace']) { ?>
										<a href="<?php echo esc_url($aliado['enlace']['url']) ?>" class="btn btn-primary ctaTwo" target="<?php echo esc_attr($aliado['enlace']['target']) ?>">Conocer aliado</a>
									<?php } ?>
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	<?php } ?>
<?php } ?>
<!-- FIN MODALES -->