<?php
$slider_principal = get_field("slider_principal");
$horario_de_atencion = get_field("horario_de_atencion");
$info_de_contactos = get_field("informacion_de_contactos");
$img_dire_ser_al_cli = get_field("imagen_directorio_servicio_al_cliente");
$titulo_directorio = get_field("titulo_directorio_servicio_al_cliente");
$dire_ser_al_cli = get_field("directorio_servicio_al_cliente");
?>

<!-- BANNER PAGINA -->
<div class="bannerGlobalInternas">
	<div class="bannerTextInfo">
		<div class="boxOne spaceWdht bgBlueTwo">
			<h1 class="colorWhite"><?php echo $slider_principal['titulo']; ?></h1>
			<p class="spaceWdhtp colorWhite"><?php echo $slider_principal['subtitulo']; ?></p>
		</div>
		<div class="boxTwo bgYellow">
			<p class="colorBlue"><?php echo $slider_principal['tercer_subtitulo']; ?></p>
		</div>
	</div>
	<div class="bannerImg gradientImage">
		<img src="<?php echo $slider_principal['imagen']; ?>" class="img-fluid w-100" alt="<?php echo $slider_principal['titulo']; ?>" />
	</div>
</div>
<!-- FIN BANNER PAGINA -->
<!-- CONTENIDO PAGINA -->
<section class="container">
	<div class="separadorProSix visibleDesktop"></div>
	<div class="separadorProFour visibleMobile"></div>
	<?php if ($horario_de_atencion) : ?>
		<h2><?php echo $horario_de_atencion['titulo']; ?></h2>
		<p><?php echo $horario_de_atencion['descripcion']; ?></p>
	<?php endif; ?>
	<div class="separadorProFour"></div>
	<?php if ($info_de_contactos) : ?>
		<div class="row">
			<?php foreach ($info_de_contactos as $itemConta) : ?>
				<div class="col-md-3">
					<?php
					$numberConver = str_replace("(", "", $itemConta['numero_celular']);
					$numberConver = str_replace(")", "", $numberConver);
					$numberConver = str_replace(" ", "", $numberConver);
					?>
					<a class="no-underline" href="tel:<?php echo $numberConver; ?>">
						<div class="boxPhone">
							<p class="flag">
								<img draggable="false" role="img" class="emoji" alt="🇨🇴" src="<?php echo $itemConta['bandera']; ?>">
							</p>
							<h3><?php echo $itemConta['titulo']; ?></h3>
							<div class="phone">
								<img src="<?php echo get_theme_file_uri('images/icoCall.svg'); ?>" alt="<?php echo $itemConta['titulo']; ?>">
								<p><?php echo $itemConta['numero_celular']; ?></p>
							</div>
						</div>
					</a>
				</div>
			<?php endforeach; ?>
		</div>
	<?php endif; ?>

	<div class="separadorProSix visibleDesktop"></div>
	<div class="separadorProFour visibleMobile"></div>
	<div class="lineaProOne"></div>
	<div class="separadorProFour visibleMobile"></div>
	<div class="separadorProSix visibleDesktop"></div>
	<div class="row">
		<?php if ($img_dire_ser_al_cli) : ?>
			<div class="col-md-6">
				<img src="<?php echo $img_dire_ser_al_cli; ?>" class="img-fluid w-100" alt="Directorio Servicio al cliente, Colombia Global Education" />
			</div>
		<?php endif; ?>
		<?php if ($dire_ser_al_cli) : ?>
			<div class="col-md-6">
				<div class="textInfoDirectory">
					<h2><?php echo esc_html($titulo_directorio) ?></h2>
					<div class="separadorProTwo"></div>
					<ul>
						<?php foreach ($dire_ser_al_cli as $itemDirectorio) : ?>
							<li class="linea-azul-amarilla-vertical"><a href="tel:<?php echo $itemDirectorio['numero']; ?>" target="_blank"><?php echo $itemDirectorio['numero']; ?></a></li>
						<?php endforeach; ?>
					</ul>
				</div>
			</div>
		<?php endif; ?>
	</div>
	<div class="separadorProFour"></div>
</section>

<?php
$page_contacto = get_page_by_path('contactanos');
$secFooterContacto = get_field('seccion_footer_contactanos', $page_contacto);
?>

<div class="bgLightBlue">
	<section class="container">
		<h2><?php echo esc_html($secFooterContacto['titulo_seccion']) ?></h2>
		<div class="separadorProFour"></div>
		<div class="row">
			<div class="col-md-8">
				<div class="boxContactUs">
					<div class="textInfo">
						<h3><?php echo $secFooterContacto['titulo']; ?></h3>
						<p><?php echo $secFooterContacto['descripcion']; ?></p>
						<?php if ($secFooterContacto['link']) { ?>
							<div class="btnContactUs">
								<a href="javascript:void(0);" onclick="showModalCotizacion(this);" data-originoption="" class="btn btn-primary cta"><?php echo esc_html($secFooterContacto['link']['title']) ?></a>
							</div>
						<?php } ?>
					</div>
					<div class="image">
						<img src="<?php echo $secFooterContacto['imagen_banner']; ?>" class="img-fluid w-100" alt="<?php echo $secFooterContacto['titulo'] . ' ' . $sitename; ?>" />
					</div>
				</div>
			</div>
			<div class="col-md-4">
				<div class="attentionlinesWhatsAppFlx">
					<!-- <a href="<?php echo $secFooterContacto['link_nuestras_lineas_de_atencion']['url']; ?>" target="<?php echo $secFooterContacto['link_nuestras_lineas_de_atencion']['target'] ?>"> -->
					<div class="boxAttentionWhatsApp">
						<img src="<?php echo get_theme_file_uri('images/lineGlobalFour.svg'); ?>" class="line" alt="<?php echo $secFooterContacto['titulo'] . ' ' . $sitename; ?>" />
						<img src="<?php echo $secFooterContacto['icono_nuestras_lineas_de_atencion']; ?>" class="ico" alt="<?php echo esc_attr($secFooterContacto['texto_nuestras_lineas_de_atencion'] . ' ' . $sitename) ?>" />
						<div class="boxText">
							<h4><?php echo $secFooterContacto['texto_nuestras_lineas_de_atencion'] ?></h4>
							<div class="textLink">
								<a href="<?php echo $secFooterContacto['link_nuestras_lineas_de_atencion']['url']; ?>" target="<?php echo esc_attr($secFooterContacto['link_nuestras_lineas_de_atencion']['target']); ?>"><?php echo $secFooterContacto['link_nuestras_lineas_de_atencion']['title']; ?><img src="<?php echo esc_url(get_template_directory_uri()) ?>/images/arrowCard.svg" alt="<?php echo $secFooterContacto['link_nuestras_lineas_de_atencion']['title'] . ' ' . $sitename; ?>"></a>
							</div>
						</div>
					</div>
					<!-- </a> -->
				</div>
			</div>
		</div>
		<div class="separadorProFour visibleMobile"></div>
	</section>
</div>