<?php
global $post;
$infoComplementaria 		= get_field("informacion_complementaria");

$sliderPrincipal        	= $infoComplementaria['slider_principal'];
$video 						= $infoComplementaria['video'];
$beneficios 				= $infoComplementaria['beneficios'];
$caracteristicas 			= $infoComplementaria['caracteristicas'];
$debesTenerCuenta 			= $infoComplementaria['debes_tener_cuenta'];
$beneficiosFamiliasGlobal 	= $infoComplementaria['beneficios_familias_global'];
$preguntasFrecuentes 		= $infoComplementaria['preguntas_frecuentes'];
$urlCentroAyuda 			= $infoComplementaria['url_centro_de_ayuda'];
$banner_pre_footer 			= $infoComplementaria['banner_pre_footer'];
$slug						= get_post_field('post_name', $post->ID);
$dataOrigin					= (strpos($slug, 'pregrado')) ? 'GlobalPregrado' : 'GlobalPosgrado';
?>

<?php if ($sliderPrincipal) : ?>
	<!-- BANNER PAGINA -->
	<div class="bannerGlobalInternas">
		<div class="bannerTextInfo">
			<div class="boxOne spaceWdht bgBlueTwo">
				<h1 class="colorWhite"><?php echo $sliderPrincipal['titulo']; ?></h1>
				<p class="spaceWdhtp colorWhite"><?php echo $sliderPrincipal['subtitulo']; ?></p>
				<div class="btnbannerInternas">
					<a href="javascript:void(0);" onclick="showModalCotizacion(this);" data-originoption="<?php echo esc_attr($dataOrigin) ?>" class="btn btn-primary ctaOne px-5">Conoce más</a>
				</div>
			</div>
			<div class="boxTwo bgYellow">
				<p class="colorBlue"><?php echo $sliderPrincipal['segundo_subtitulo']; ?></p>
			</div>
		</div>
		<div class="bannerImg gradientImage">
			<img src="<?php echo $sliderPrincipal['imagen']; ?>" class="img-fluid w-100" alt="<?php echo $sliderPrincipal['titulo']; ?>" />
		</div>
	</div>
	<!-- FIN BANNER PAGINA -->
<?php endif; ?>

<!-- CONTENIDO PAGINA -->
<?php if ($video) : ?>
	<section class="container containerVideo">
		<div class="separadorProSix visibleDesktop"></div>
		<div class="separadorProFour visibleMobile"></div>
		<div class="row">
			<div class="col-md-6">
				<iframe title="<?php echo $video['titulo']; ?>" src="https://player.vimeo.com/video/<?php echo $video['codigo_video_vimeo']; ?>" width="636" height="417" allow="autoplay; fullscreen; picture-in-picture" allowfullscreen></iframe>
			</div>
			<div class="col-md-6">
				<div class="verticalCenter">
					<h2><?php echo $video['titulo']; ?></h2>
					<p><?php echo $video['descripcion']; ?></p>
					<div class="btnVideoGlobal">
						<a href="#" class="btn btn-primary cta px-5">Ver video</a>
					</div>
				</div>
			</div>
		</div>
		<div class="separadorProSix visibleDesktop"></div>
		<div class="separadorProFour visibleMobile"></div>
	</section>
<?php endif; ?>

<?php if ($beneficios) : ?>
	<!-- <div class="bgLightBlue">
		<section class="container">
			<h2 class="text-center">Beneficios</h2>
			<div class="separadorProFour"></div>
			<div class="row">
				<?php foreach ($beneficios as $itemBeneficio) : ?>
					<div class="col-md-4">
						<div class="icoTextBenefits">
							<div class="ico">
								<img src="<?php echo $itemBeneficio['icono']; ?>" alt="<?php echo $itemBeneficio['titulo']; ?>" />
							</div>
							<h3><?php echo $itemBeneficio['titulo']; ?></h3>
							<p><?php echo $itemBeneficio['descripcion']; ?></p>
						</div>
					</div>
				<?php endforeach; ?>
			</div>
		</section>
	</div> -->
<?php endif; ?>

<?php if ($caracteristicas) : ?>
	<section class="containerKey visibleDesktop">
		<div class="separadorProSix visibleDesktop"></div>
		<div class="separadorProFour visibleMobile"></div>
		<h2>Características clave</h2>
		<div class="separadorProFour"></div>
		<div class="keyFeatures">
			<div class="keyFeaturesWrapper">
				<div class="keyRow">
					<div class="title"></div>
					<?php foreach ($caracteristicas['cabeceras'] as $headerTitles) : ?>
						<div class="infoColumn1">
							<h3><?php echo $headerTitles['titulo']; ?></h3>
							<div class="btnKey">
								<a href="javascript:void(0);" onclick="showModalCotizacion(this);" data-originoption="<?php echo $headerTitles['titulo']; ?>" class="btn btn-primary cta">¡Lo quiero!</a>
							</div>
							<div class="year">
								<?php foreach ($headerTitles['anos'] as $anios) : ?>
									<span><?php echo $anios['titulo_de_ano']; ?></span>
								<?php endforeach; ?>
							</div>
						</div>
					<?php endforeach; ?>
				</div>
				<?php if ($caracteristicas['cobertura']) : ?>
					<div class="keyRow linebtPro">
						<div class="title leftTex">
							<h3>Cobertura</h3>
						</div>
						<?php foreach ($caracteristicas['cobertura'] as $coberturaItems) : ?>
							<div class="infoColumn1">
								<?php foreach ($coberturaItems['item'] as $textoItem) : ?>
									<div class="imgTextKey">
										<img src="<?php echo get_theme_file_uri('images/checkList.svg'); ?>" alt="<?php echo $textoItem['texto']; ?>" />
										<p><?php echo $textoItem['texto']; ?></p>
									</div>
								<?php endforeach; ?>
							</div>
						<?php endforeach; ?>
					</div>
				<?php endif; ?>
				<?php if ($caracteristicas['lugar']) : ?>
					<div class="keyRow linebtPro">
						<div class="title leftTex">
							<h3>Lugar</h3>
						</div>
						<?php foreach ($caracteristicas['lugar'] as $lugarItems) : ?>
							<div class="infoColumn1">
								<?php foreach ($lugarItems['item'] as $textoItem) : ?>
									<div class="imgTextKey">
										<img src="<?php echo get_theme_file_uri('images/checkList.svg'); ?>" alt="<?php echo $textoItem['texto']; ?>" />
										<p><?php echo $textoItem['texto']; ?></p>
									</div>
								<?php endforeach; ?>
							</div>
						<?php endforeach; ?>
					</div>
				<?php endif; ?>
				<?php if ($caracteristicas['universidad']) : ?>
					<div class="keyRow linebtPro">
						<div class="title leftTex">
							<h3>Universidad</h3>
						</div>
						<?php foreach ($caracteristicas['universidad'] as $universidadItems) : ?>
							<div class="infoColumn1">
								<?php foreach ($universidadItems['item'] as $textoItem) : ?>
									<div class="imgTextKey">
										<img src="<?php echo get_theme_file_uri('images/checkList.svg'); ?>" alt="<?php echo $textoItem['texto']; ?>" />
										<p><?php echo $textoItem['texto']; ?></p>
									</div>
								<?php endforeach; ?>
							</div>
						<?php endforeach; ?>
					</div>
				<?php endif; ?>
				<?php if ($caracteristicas['tiempo']) : ?>
					<div class="keyRow linebtPro">
						<div class="title leftTex">
							<h3>Tiempo</h3>
						</div>
						<?php foreach ($caracteristicas['tiempo'] as $tiempoItems) : ?>
							<div class="infoColumn1">
								<?php foreach ($tiempoItems['item'] as $textoItem) : ?>
									<div class="imgTextKey">
										<img src="<?php echo get_theme_file_uri('images/checkList.svg'); ?>" alt="<?php echo $textoItem['texto']; ?>" />
										<p><?php echo $textoItem['texto']; ?></p>
									</div>
								<?php endforeach; ?>
							</div>
						<?php endforeach; ?>
					</div>
				<?php endif; ?>
			</div>
		</div>
		<div class="separadorProSix visibleDesktop"></div>
		<div class="separadorProFour visibleMobile"></div>
	</section>
<?php endif; ?>

<?php if ($debesTenerCuenta) : ?>

	<section class="consider">
		<img src="<?php echo $debesTenerCuenta['banner']; ?>" class="img-fluid w-100 visibleDesktop" alt="Global Education" />
		<img src="<?php echo $debesTenerCuenta['banner_mobil']; ?>" class="img-fluid w-100 visibleMobile" alt="Global Education" />
		<div class="takeIntoAccount">
			<div class="container">
				<div class="IntoAccount">
					<div class="contentText">
						<h2>Debes tener en cuenta</h2>
						<?php echo $debesTenerCuenta['descripcion']; ?>
					</div>
				</div>
			</div>
		</div>
	</section>

<?php endif; ?>

<?php if ($beneficiosFamiliasGlobal) : ?>
	<!-- <section class="container">
    <div class="separadorProEight visibleDesktop"></div>
    <div class="separadorProFour visibleMobile"></div>
    <h2>Conoce los beneficios para las familias Global</h2>
    <div class="separadorProFour"></div>
    <div class="cardGlobalFamilies">
        <div class="row">
          <?php foreach ($beneficiosFamiliasGlobal as $itemBeneFamiGlobal) : ?>
            <div class="col-md-4">
                <div class="card">
                    <img src="<?php echo $itemBeneFamiGlobal['imagen']; ?>" class="card-img-top" alt="<?php echo $itemBeneFamiGlobal['titulo']; ?>" />
                    <div class="card-body">
                        <h5 class="card-title"><?php echo $itemBeneFamiGlobal['titulo']; ?></h5>
                        <p class="card-text"><?php echo $itemBeneFamiGlobal['descripcion']; ?></p>
                    </div>
                </div>
            </div>
          <?php endforeach; ?>
        </div>
    </div>
    <div class="separadorProSix visibleDesktop"></div>
    <div class="separadorProFour visibleMobile"></div>
</section> -->

<?php endif; ?>

<?php if ($banner_pre_footer) { ?>
	<div class="bgYellowTwo">
		<section class="container">
			<div class="textCenter">
				<h2><?php echo $banner_pre_footer['titulo'] ?></h2>
				<p><?php echo $banner_pre_footer['texto'] ?></p>
				<?php if ($banner_pre_footer['boton']) { ?>
					<div class="btnTheEducation">
						<a href="javascript:void(0);" onclick="showModalCotizacion(this);" data-originoption="<?php echo esc_attr($dataOrigin) ?>" class="btn btn-primary cta px-5"><?php echo esc_html($banner_pre_footer['boton']) ?></a>
					</div>
				<?php } ?>
			</div>
		</section>
	</div>
<?php } ?>

<?php if ($preguntasFrecuentes) : ?>
	<div class="bgBlueTrhee">
		<section class="container">
			<h2 class="colorWhite">Preguntas frecuentes</h2>
			<div class="separadorProFour"></div>
			<div class="contenido-acordn">
				<div class="accordion">
					<?php foreach ($preguntasFrecuentes as $preguntaFre) : ?>
						<div class="accordion-item">
							<a href="#" class="heading">
								<div class="icon"></div>
								<div class="title"><?php echo $preguntaFre['pregunta']; ?></div>
							</a>
							<div class="accordion__content">
								<p><?php echo $preguntaFre['descripcion']; ?></p>
							</div>
						</div>
					<?php endforeach; ?>
				</div>
			</div>
			<?php if ($urlCentroAyuda) : ?>
				<div class="btnAcordeon">
					<a href="<?php echo $urlCentroAyuda; ?>" class="btn btn-primary cta">Mas información</a>
				</div>
			<?php endif; ?>
		</section>
	</div>
<?php endif; ?>
<!-- FIN CONTENIDO PAGINA -->